The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build EventDispatcherKit with Swift 5.10 for visionOS using Xcode 15.4 at 1.1.5.

Build Command

Build command unavailable

Build Log

========================================
RunAll
========================================
Builder version: 4.35.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/NikSativa/EventDispatcherKit.git
Reference: 1.1.5
Initialized empty Git repository in /Users/builder/builds/UKfvDsi8u/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.git/
From https://github.com/NikSativa/EventDispatcherKit
 * tag               1.1.5      -> FETCH_HEAD
HEAD is now at 889bf1d fix tests
Cloned https://github.com/NikSativa/EventDispatcherKit.git
Revision (git rev-parse @):
889bf1d3a3b6608f3524cfe29d7e24cc7cda5a88
SUCCESS checkout https://github.com/NikSativa/EventDispatcherKit.git at 1.1.5
========================================
Build
========================================
Selected platform:         visionOS
Swift version:             5.10
Building package at path:  $workDir
https://github.com/NikSativa/EventDispatcherKit.git
Command line invocation:
    /Applications/Xcode-15.3.0.app/Contents/Developer/usr/bin/xcodebuild -IDEClonedSourcePackagesDirPathOverride=/Users/builder/builds/UKfvDsi8u/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies -resolvePackageDependencies
User defaults from command line:
    IDEClonedSourcePackagesDirPathOverride = /Users/builder/builds/UKfvDsi8u/2/finestructure/swiftpackageindex-builder/spi-builder-workspace/.dependencies
    IDEPackageSupportUseBuiltinSCM = YES
Resolve Package Graph
Fetching from https://github.com/NikSativa/SpryKit.git (cached)
Fetching from https://github.com/NikSativa/Threading.git (cached)
Fetching from https://github.com/mattgallagher/CwlCatchException.git (cached)
Fetching from https://github.com/mattgallagher/CwlPreconditionTesting.git (cached)
Revision 2ef56b2caf25f55fa7eef8784c30d5a767550f54 for cwlpreconditiontesting remoteSourceControl https://github.com/mattgallagher/CwlPreconditionTesting.git version 2.2.1 does not match previously recorded value b16619b2bfa672fac54e2c3fefe8af0b10ce89d4Creating working copy of package ‘SpryKit’
Checking out 2.2.3 of package ‘SpryKit’
Creating working copy of package ‘CwlCatchException’
Checking out 2.2.0 of package ‘CwlCatchException’
Creating working copy of package ‘Threading’
Checking out 1.3.5 of package ‘Threading’
Resolved source packages:
  SpryKit: https://github.com/NikSativa/SpryKit.git @ 2.2.3
  Threading: https://github.com/NikSativa/Threading.git @ 1.3.5
  EventDispatcherKit: /Users/builder/builds/UKfvDsi8u/2/finestructure/swiftpackageindex-builder/spi-builder-workspace
Resolve Package Graph
objc[7868]: Class XROS1_1SimRuntime is implemented in both /Library/Developer/CoreSimulator/Volumes/xrOS_21O209/Library/Developer/CoreSimulator/Profiles/Runtimes/xrOS 1.1.simruntime/Contents/MacOS/xrOS 1.1 (0x1110fc0e0) and /Library/Developer/CoreSimulator/Volumes/xrOS_21O5181e/Library/Developer/CoreSimulator/Profiles/Runtimes/xrOS 1.1.simruntime/Contents/MacOS/xrOS 1.1 (0x1115480e0). One of the two will be used. Which one is undefined.
2024-04-19 07:27:34.564 xcodebuild[7868:9039063] Writing error result bundle to /var/folders/b3/8p5yvk0d16s637btgmtl295m0000gp/T/ResultBundle_2024-19-04_07-27-0034.xcresult
xcodebuild: error: Could not resolve package dependencies:
  Revision 2ef56b2caf25f55fa7eef8784c30d5a767550f54 for cwlpreconditiontesting remoteSourceControl https://github.com/mattgallagher/CwlPreconditionTesting.git version 2.2.1 does not match previously recorded value b16619b2bfa672fac54e2c3fefe8af0b10ce89d4
GENERIC FAILURE 5.10 visionOS